GET api/MessageBrokerSettings
Gets MessageBroker settings.
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
MessageBrokerSettingsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageBrokerUseSsl |
Indicates if the communication with the message broker will take place over SSL. |
boolean |
None. |
| MessageBrokerSslServerName |
Name of the SSL server of the message broker. |
string |
None. |
| MessageBrokerSslVersion |
SSL version used by the message broker (Required). Possible values are: None, Ssl2, Ssl3, Tls, Tls11 and Tls12. |
string |
None. |
| MessageBrokerCertificatePath |
Certificate path for the message broker. |
string |
None. |
| MessageBrokerCertificatePassword |
Certificate password for the message broker. |
string |
None. |
| MessageBrokerHostname |
Host name for the message broker (Required). |
string |
None. |
| MessageBrokerPort |
Port name for the message broker. |
integer |
None. |
| MessageBrokerUsername |
Username to connect to the message broker. |
string |
None. |
| MessageBrokerPassword |
Password to connect to the message broker. |
string |
None. |
| MessageBrokerExchangeName |
Name of the exchange where messages will be published. |
string |
None. |
| MessageBrokerExchangeType |
Type of exchange to use. |
string |
None. |
| MessageBrokerRoutingKeyFormat |
Format of the routing key used when publising messages. Use "{0}" as a placeholder to be replaced by the account number. |
string |
None. |
| SendPghdRequestToMessageBroker |
Indicates if PGHD update requests will be published in the message broker. |
boolean |
None. |
| PghdRequestMessageBrokerResourceType |
Text used to identify PGHD update request messages in the message broker. |
string |
None. |
| StorePghdRequestTransmittedMessageToMessageBroker |
Indicates if a copy of the PGHD update messages transmitted to the message broker should be kept in the portal (set to True for debugging purposes only). |
boolean |
None. |
| SendAppointmentRequestLimitedToMessageBroker |
Indicates if appointment requests limited will be published in the message broker. |
boolean |
None. |
| AppointmentRequestLimitedMessageBrokerResourceType |
Text used to identify appointment request limited messages in the message broker. |
string |
None. |
| StoreAppointmentRequestTransmittedMessageToMessageBroker |
Indicates if a copy of the appointment request limited messages transmitted to the message broker should be kept in the portal (set to True for debugging purposes only). |
boolean |
None. |
| SendPatientPaymentToMessageBroker |
Indicates if patient payments will be published in the message broker. |
boolean |
None. |
| PatientPaymentMessageBrokerResourceType |
Text used to identify patient payment messages in the message broker. |
string |
None. |
| StorePatientPaymentTransmittedMessageToMessageBroker |
Indicates if a copy of the appointment request limited messages transmitted to the message broker should be kept in the portal (set to True for debugging purposes only). |
boolean |
None. |
Response Formats
application/json, text/json
{
"messageBrokerUseSsl": true,
"messageBrokerSslServerName": "sample string 2",
"messageBrokerSslVersion": "sample string 3",
"messageBrokerCertificatePath": "sample string 4",
"messageBrokerCertificatePassword": "sample string 5",
"messageBrokerHostname": "sample string 6",
"messageBrokerPort": 1,
"messageBrokerUsername": "sample string 7",
"messageBrokerPassword": "sample string 8",
"messageBrokerExchangeName": "sample string 9",
"messageBrokerExchangeType": "sample string 10",
"messageBrokerRoutingKeyFormat": "sample string 11",
"sendPghdRequestToMessageBroker": true,
"pghdRequestMessageBrokerResourceType": "sample string 13",
"storePghdRequestTransmittedMessageToMessageBroker": true,
"sendAppointmentRequestLimitedToMessageBroker": true,
"appointmentRequestLimitedMessageBrokerResourceType": "sample string 16",
"storeAppointmentRequestTransmittedMessageToMessageBroker": true,
"sendPatientPaymentToMessageBroker": true,
"patientPaymentMessageBrokerResourceType": "sample string 19",
"storePatientPaymentTransmittedMessageToMessageBroker": true
}
application/xml, text/xml
<MessageBrokerSettingsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.MessageBrokerSettings"> <AppointmentRequestLimitedMessageBrokerResourceType>sample string 16</AppointmentRequestLimitedMessageBrokerResourceType> <MessageBrokerCertificatePassword>sample string 5</MessageBrokerCertificatePassword> <MessageBrokerCertificatePath>sample string 4</MessageBrokerCertificatePath> <MessageBrokerExchangeName>sample string 9</MessageBrokerExchangeName> <MessageBrokerExchangeType>sample string 10</MessageBrokerExchangeType> <MessageBrokerHostname>sample string 6</MessageBrokerHostname> <MessageBrokerPassword>sample string 8</MessageBrokerPassword> <MessageBrokerPort>1</MessageBrokerPort> <MessageBrokerRoutingKeyFormat>sample string 11</MessageBrokerRoutingKeyFormat> <MessageBrokerSslServerName>sample string 2</MessageBrokerSslServerName> <MessageBrokerSslVersion>sample string 3</MessageBrokerSslVersion> <MessageBrokerUseSsl>true</MessageBrokerUseSsl> <MessageBrokerUsername>sample string 7</MessageBrokerUsername> <PatientPaymentMessageBrokerResourceType>sample string 19</PatientPaymentMessageBrokerResourceType> <PghdRequestMessageBrokerResourceType>sample string 13</PghdRequestMessageBrokerResourceType> <SendAppointmentRequestLimitedToMessageBroker>true</SendAppointmentRequestLimitedToMessageBroker> <SendPatientPaymentToMessageBroker>true</SendPatientPaymentToMessageBroker> <SendPghdRequestToMessageBroker>true</SendPghdRequestToMessageBroker> <StoreAppointmentRequestTransmittedMessageToMessageBroker>true</StoreAppointmentRequestTransmittedMessageToMessageBroker> <StorePatientPaymentTransmittedMessageToMessageBroker>true</StorePatientPaymentTransmittedMessageToMessageBroker> <StorePghdRequestTransmittedMessageToMessageBroker>true</StorePghdRequestTransmittedMessageToMessageBroker> </MessageBrokerSettingsModel>